.messenger-container {
    height: 85vh;
    top: 0px;
    bottom: 0px;
    right: 0px;

    .messenger {
        display: flex;
        flex-direction: row;
    }

    .chatbox-messenger-container {
        flex: 6;
        padding: 15px;
        display: flex;
        flex-direction: column;
        position: relative;

        .message-chatting {
            .msg-head {
                display: flex;
                justify-content: space-between;

                .chat-head-left {
                    display: flex;
                    gap: 20px;

                    .messenger-profile {
                        .msg-img {
                            height: 40px;
                            width: 40px;

                            img {
                                height: 40px;
                                width: 40px;
                                border-radius: 10px;
                            }
                        }
                    }

                    .msg-name {
                        align-items: center;

                        .name {
                            font-size: 18px;
                            font-weight: 500;
                            color: #1B1C1E;
                        }

                        .online-status {
                            font-size: 13px;
                            font-weight: 400;
                            color: #797A7C;

                        }
                    }
                }

                .chat-head-right {
                    align-items: center;
                    display: flex;
                    .search-call {
                        display: flex;
                        align-items: center;
                        gap: 25px;
                    }
                }
            }

            .msg-bottom-text {
                bottom: 0;
                left: 0;
                right: 0;
                position: absolute;
                padding: 5px 15px 0px 15px;
                background-color: white;
                z-index: 99;

                .enter-text {
                    input {
                        width: 100%;
                        border: 1px solid rgb(216, 214, 214);
                        border-radius: 10px;
                        padding: 10px;
                    }

                    input:focus {
                        outline: none;
                    }

                    margin-bottom: 20px;
                }

                .msg-bottom {
                    display: flex;
                    justify-content: space-between;
                    align-items: center;

                    .msg-bottom-left {
                        display: flex;
                        gap: 5px;
                    }

                    .msg-bottom-right {
                        display: flex;
                        gap: 10px;
                        align-items: center;

                        .msg-count {
                            color: #797A7C;
                            font-size: 13px;
                            font-weight: 400;
                        }
                    }
                }
            }
        }

        .container-messenger {
            .nav-item {
                flex: 1;
            }

            .nav-link {
                display: flex;
                justify-content: center;
            }
        }
    }

    .inbox-messenger-container {
        flex: 6;
        background-color: rgba(248, 248, 248, 1);
        border-right: 1px solid rgb(236, 234, 234);
        height: 100%;
        padding: 2px 20px;
        background-color: rgb(249, 247, 247);

        .messenger-head {
            padding: 20px 50px 0px 50px;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .msg {
            display: flex;
            flex-direction: column;
            gap: 70px;
            height: 100px;
        }
        .changecnt{
            margin-top: 0px;
            padding-top: 0px;
        }
        .inbox-tab-container{
            margin-top: 25px;

           .nav-item{
            line-height: 1;
            flex: 1;
            text-align: center;
            border-radius: 15px;
           }
           .nav-pills .nav-link {
            border-radius: 12px !important;
           }
           .nav-pills .nav-link.active, .nav-pills .show>.nav-link {
            color: white;
           }
           .nav-link{
            color: rgb(172, 170, 170);
           }
        }
        .tab-content {
            margin-top: 15px;
            height: calc(85vh - 130px);
            overflow-y: auto;
            overflow-x: auto;
            padding: 0px 50px 0px 50px;
        }

        .nav {
            padding: 0px 50px;
            display: flex;
            justify-content: space-around;
        }



        .messenger-chat {
            display: flex;
            gap: 10px;
            padding: 10px;
            margin-left: -20px;

            .messenger-profile {
                .msg-img {
                    height: 40px;
                    width: 40px;
                    position: relative;

                    .online {
                        position: absolute;
                        right: -1px;
                        bottom: -1px;
                        height: 10px;
                        width: 10px;
                        background-color: rgb(0, 170, 255);
                        border: 2px solid white;
                        border-radius: 100%;
                    }

                    img {
                        height: 40px;
                        width: 40px;
                    }
                }

            }

            .messenger-content {
                flex: 1;
                // background-color: pink;
                display: flex;
                flex-direction: column;
                gap: 5px;

                .top {
                    display: flex;
                    justify-content: space-between;


                    .name {
                        font-size: 16px;
                        font-weight: 500;
                        color: #1B1C1E;
                    }

                    .time-min {
                        font-size: 13px;
                        font-weight: 400;
                        color: #797A7C;
                    }
                }

                .message {
                    display: flex;
                    justify-content: space-between;
                    align-items: flex-start;

                    .message-content {
                        font-size: 13px;
                        font-weight: 400;
                        color: #797A7C;
                    }

                    .active-status {
                        width: 30px;

                    }

                    .active {
                        margin-top: 5px;
                        height: 8px;
                        width: 8px;
                        border-radius: 100%;
                        background-color: rgb(79, 160, 79);
                    }
                }
            }

        }

        .messenger-chat:hover {
            background-color: white;
            padding: 20px;
            width: 115%;
            height: 102%;
            margin-left: -45px;
            box-shadow: 0px 0px 4px -2px rgba(0, 0, 0, 0.75);
            border-radius: 10px;


            .messenger-profile {
                height: 45px;
                width: 45px;

                .msg-img {
                    img {
                        height: 45px;
                        width: 45px;
                    }

                    .online {
                        bottom: -5px;
                        right: -5px;
                    }

                }

            }
        }

    }

    .emptybox-container{
        flex: 6;
        background-color: white;

    }
    .messenger-mobileview{
        .chatbox-messenger-container{
            height: 98vh;
        }
       
        .container-messenger{
            margin-top: 20px;
        }
        .msg-head {
          margin-left: 35px;
        }
        .inbox-messenger-container{
            height: 100vh;
            padding: 5px 15px;
            .messenger-head{
                padding: 10px 0px 10px 40px;
            }
            .msg{
                height: 80px;
                
            }
            .tab-content{
                padding: 5px;
                height: calc(100vh - 130px);
            }
            .messenger-chat{
                margin-left: 0px;
            }
            .messenger-chat:hover{
                padding: 10px;
                width: 101%;
                height: 101%;
                margin-left: -5px;
                .messenger-profile{
                    height: 40px;
                    width: 40px;
                    .msg-img{
                        img{
                            height: 40px;
                            width: 40px;
                        }
                        .online{
                            bottom: -2px;
                            right: -2px;
                        }
                    }
                }
            }
        }
    }
}
@media only screen and (max-width: 769px){
    .messenger-desktop{
        display: none;
    }
    
}
@media only screen and (min-width: 769px){
    .messenger-mobileview{
        display: none;
    }
}
@media only screen and (max-width: 372px){
    .messenger-container{
        .chatbox-messenger-container{
            .nav-item {
                font-size: 14px;
                line-height: 1;
            }
            button.btn.btn-primary {
                font-size: small;
                width: -webkit-fill-available;
                padding: 2px 3px 2px 3px;
                svg{
                    width: 20px;
                    height: 20px;
                }
            }
            
            .message-chatting{
                .msg-head{
                    .chat-head-left{
                        gap: 10px;
                        .messenger-profile .msg-img{
                            width: 35px;
                            height: 35px;
                            img{
                                width: 35px;
                                height: 35px;
                            }
                        }
                        .msg-name{
                            .name{
                                font-size: 15px;
                            }
                            .online-status{
                                font-size: 10px;
                            }
                        }
                    }
                    
                }
                .msg-bottom-text{
                    .msg-bottom{
                        .msg-bottom-left{
                            gap: 2px;
                            align-items: center;

                            svg{
                                height: 20px;
                                width: 20px;
                            }
                        }
                        .msg-bottom-right{
                            .msg-count{
                                font-size: 11px;
                            }
                        }

                    }
                }

            }
        }
    }
}
@media only screen and (max-width: 450px){
    .messenger-container{
        .messenger-mobileview{
            .inbox-messenger-container{
                padding-left: 0px;
                padding-right: 0px;
                .nav{
                    padding:0px 10px;
                }
                .pl-0{
                    padding-left: 0px;
                }
                .messenger-head{
                    padding: 10px 10px 10px 53px;
                }
                .inbox-tab-container{
                    margin-top: 5px;
                }
                
            }
        }
    }

}
@media only screen and (max-width: 1050px){
    .messenger-container{
        .chatbox-messenger-container{
            .nav-item {
                font-size: 14px;
                line-height: 1;
            }
            button.btn.btn-primary {
                font-size: small;
                width: -webkit-fill-available;
                padding: 2px 3px 2px 3px;
                svg{
                    width: 20px;
                    height: 20px;
                }
            }
            
            .message-chatting{
                .msg-head{
                    .chat-head-left{
                        gap: 10px;
                        .messenger-profile .msg-img{
                            width: 35px;
                            height: 35px;
                            img{
                                width: 35px;
                                height: 35px;
                            }
                        }
                        .msg-name{
                            .name{
                                font-size: 15px;
                            }
                            .online-status{
                                font-size: 10px;
                            }
                        }
                    }
                    
                }
                .msg-bottom-text{
                    .msg-bottom{
                        .msg-bottom-left{
                            gap: 2px;
                            align-items: center;

                            svg{
                                height: 20px;
                                width: 20px;
                            }
                        }
                        .msg-bottom-right{
                            .msg-count{
                                font-size: 11px;
                            }
                        }

                    }
                }

            }
        }
        
    }
}